
:root {
    --nrg-dark-blue: #0A223D;
    --nrg-light-blue: #31a2d8;
    --nrg-gray: #7d7b7c;
    --nrg-medium-gray: #d8d7dc;
    --nrg-light-gray: #f5f5f5;
    --nrg-green: #63a54d;
    --nrg-dark-blue-rgb: 10, 34, 61;
    --nrg-bg-light: #f8f9fa;
    --nrg-bg-orange: orange;
}

body {
    font-family: 'Open Sans', sans-serif;
}


.bg-white {
    background-color: var(--bs-white);
}

.bg-dark-blue {
    background-color: var(--nrg-dark-blue);
}

.bg-gray-100 {
    background-color: var(--bs-gray-100);
}

.bg-green {
    background-color: var(--nrg-green);
}

.border-top-gray {
    border-top: 5px solid var(--bs-gray-100);
}


.coming_soon {
    padding: 150px 0px;
    min-height: 60vh;
}


/* HOME */

.text-justified {
    text-align: justify;
}

.barHeader {
    z-index: 3 !important;
	background-color: var(--nrg-dark-blue) !important;
	padding-top: 12px;
	opacity: 0.8;
}

.mainMenu{
    z-index: 2 !important;
	background-color: var(--nrg-dark-blue) !important;
	padding-top: 0px;
	padding-bottom: 0px;
	opacity: 0.8;
}

.menu-nrg {
    /*background-color: rgba(var(nrg-dark-blue), var(--bs-bg-opacity)) !important;*/
    background-color: rgba(10, 34, 61, 1) !important;
}

.navbar-brand, .nav-item, .nav-link {
    color: var(--bs-white) !important;
}

.btn-menu-home {
    padding-top: 12px !important;
    padding-bottom: 12px !important;
    padding-left: 20px !important;
    padding-right: 20px !important;
}

.btn-menu-home:hover {
    background-color: var(--nrg-light-gray);
    color: var(--nrg-dark-blue) !important;
}

.headerTop {
	background-color: #425164;
	color: #ffffff;
	padding: 1rem;
	font-weight: 300;
	font-size: 0.8em;
}

.parallax {
    z-index: 1 !important;
    background-image: url('../img/IMAGEM-TOPO.jpeg');
    min-height: 500px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.parallax-projects {
    z-index: 1 !important;
    background-image: url('../img/imagem-fundo.jpg');
    min-height: 450px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.logoHeader {
    padding-top: 7rem;
    color: #ffffff;
    font-weight: 300;
    font-size: 1.4rem;
    line-height: 1.3;
}

.logoHeader-projects {
    padding-top: 5rem;
    color: #ffffff;
    font-weight: 300;
    font-size: 1.4rem;
    line-height: 1.3;
}

.logoHeader>p>img, .logoHeader-projects>p>img {
    width: 14rem;
}

.logoHeader>p, .logoHeader-projects>p {
    margin-bottom: 30px;
}

.iconsTop {
    font-size: 1.4em;
    margin-left: 6px;
    margin-right: 6px;
}


/* PROJECTS */

.simple-project-box {
    padding-top: 4px;
    margin-bottom: 40px;
    border: 0;
    padding: 0;
    background-color: var(--bs-gray-100);
}

.simple-project-head {
    padding-top: 20px;
    padding-bottom: 10px;
    background-color: var(--nrg-dark-blue);
}

.simple-project-title {
    color: var(--bs-white);
}

.simple-project-subtitle {
    color: var(--nrg-green);
}

.simple-project-hr-color {
	margin: 0 auto;
	height: 5px;
	background:url(../img/hr.png);
	border:0;
	border-color: #000;
	width: 250px;
    margin-top: 20px;
    margin-bottom: 0px;
    opacity: 1;
}


.simple-project-image {
    width: 50vw;
    box-shadow: 0px 0px 4px -2px var(--nrg-dark-blue);
    padding: 0;
}

.simple-project-abstract {
    width: 70vw;
    margin-top: 20px;
    padding: 0;
    text-align: center;
    display: block;
}

.btn-see-project {
    background-color: var(--nrg-dark-blue);
    color: var(--bs-white);
    font-size: medium;
    padding: 10px 15px;
    border: 0;
    border-radius: 0px;
    text-decoration: none;
    text-align: center;
    line-height: 20px;
}

.btn-see-project:hover {
    background-color: var(--nrg-dark-blue);
    color: var(--bs-white);
    opacity: .8;
}


/* FOOTER */
.footer {
    background-color: var(--nrg-dark-blue);
    border-top: 3px solid var(--bs-white);
    flex-direction: column;
    align-items: center;
    padding-top: 20px;
    padding-bottom: 10px;
    margin-top: 0px;
    color: var(--bs-white);
    font-weight: 300 !important;
    font-size: 0.9em;
}

.footer>img {
    height: 120px;
    margin-bottom: 20px;
}

.footer-text-green {
    color: var(--nrg-green);
}

.footer-social-media {
    margin: 5px;
}


/* MODAL SHOW PROJECT */

#modalShowProject>.modal-dialog {
    min-height: 100vh;
    min-width: 96% !important;
    margin: 0 auto;
}

#modalShowProject>.modal-dialog>.modal-content {
    background-color: var(--nrg-dark-blue);
    min-height: 100%;
    border-radius: 0;
}

#modalShowProject>.modal-dialog>.modal-content>.modal-body {
    /*border: 2px solid green;*/
    padding: 30px 0;
}

.btn-close-modal-show-project {
    background-color: var(--bs-white);
    position: absolute;
    top: 15px;
    right: 20px;
    border-radius: 2px;
    padding: 10px;
    cursor: pointer;
}

.modal-project-title {
    font-family: 'Roboto', sans-serif;
    text-align: center;
    color: var(--bs-gray-300);
}

.modal-project-subtitle {
    font-family: 'Roboto', sans-serif;
    font-weight: 100;
    text-align: center;
    color: var(--nrg-green);
}

.modal-project-abstract {
    width: 80vw;
    padding: 0;
    margin: 0 auto;
    margin-top: 20px;
    text-align: center;
    display: block;
    color: var(--bs-gray-300);
}

.project-modal-section {
    padding: 30px 0;
}

.modal-project-hr-color {
	margin: 0 auto;
	height: 8px;
	background:url(../img/hr.png);
	border:0;
	width: 25vw;
    margin-top: 20px;
    margin-bottom: 40px;
    opacity: 1;
}

.modal-project-description {
    text-align: justify;
}

.modal-project-video {
    margin: 30px auto;
    padding: 0;
    box-shadow: 0px 0px 4px var(--nrg-dark-blue);
}

.modal-project-video>video {
    padding: 0;
    width: 100%;
}

.modal-project-details-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

.modal-project-details-list>li {
    font-weight: bold;
    text-align: center;
    font-size: 1.3rem;
    line-height: 2.5rem;

}

.modal-project-li {
    font-family: 'Roboto', sans-serif;
    font-weight: 100;
    text-align: center;
    color: var(--bs-gray-300);
    margin-bottom: 15px !important;
}

.modal-project-li-icons {
    font-family: 'Roboto', sans-serif;
    font-weight: 100;
    padding-left: 40%;
    text-align: left;
    font-size: 0.8em;
    color: var(--bs-gray-300);
    margin-bottom: 15px !important;
}

.project-details-icons {
    width: 25px;
    height: 25px;
    margin-right: 15px;
}

.modal-project-hr {
    color: var(--bs-gray-100);
    margin: 50px !important;
    box-shadow: 0 3px 3px #000;
}

.modal-project-separador {
    color: var(--bs-gray-100);
    margin: 70px !important;
}

.modal-div-pdfs {
    margin-top: 13%;
}

.modal-project-pdf {
    text-align: center;
    display: block;
}

.modal-project-pdf>img {
    width: 60px;
}

.details-row {
    padding-left: 5vw;
    padding-right: 5vw;
}

#modal_map {
    width: 100%;
    height: 350px;
}

#modal-project-technical_details {
    max-width: 100%
}


/* CAROUSEL PROJECT DETAILS */

#carouselGeneralImagesIndicators-miniatures, #carouselInteriorImagesIndicators-miniatures, #carouselExteriorImagesIndicators-miniatures,
#carouselGeneralImagesIndicators, #carouselInteriorImagesIndicators, #carouselExteriorImagesIndicators {
    padding: 0;
    background-color: var(--nrg-light-gray);
}

#modal-project-carousel_interior_images, #modal-project-carousel_exterior_images {
    width: 60vw;
}

.project-carousel-miniatures {
    width: 100%;
    margin: 0;
    margin-top: 10px;
    padding: 6px 0;
    background-color: var(--nrg-light-gray);
}

.project-carousel-miniatures-img {
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.opacity-on {
    opacity: .5;
}

.project-carousel-miniatures-btn {
    padding: 0;

}

.project-carousel-miniatures-icon {
    height: 3vw;
    width: 3vw;
    filter: invert(100%);
    opacity: .6;
}

.project-carousel-row {
    padding-left: 5vw;
    padding-right: 5vw;
}

.project-carousel-general-images-main-img {
    height: 40vh;
    max-width: 100%;
    overflow: hidden;
    margin: 0 auto;
}

.project-carousel-interior-images-main-img, .project-carousel-exterior-images-main-img {
    max-width: 100%;
    overflow: hidden;
    margin: 0 auto;
}

/* ABOUT US */

.about-us-content {
    background-color: var(--nrg-dark-blue);
    color: var(--nrg-light-gray);
    padding: 40px 20px;
}

.our-mission-content {
    padding: 40px 20px 0px 20px;
}

.hr-about-us {
    display: block;
	margin-left: auto;
	margin-right: auto;
	height:4px;
	background:url(../img/hr.png);
	border:0;
	border-color: #000;
	width: 160px;
    margin-top: 0px;
    opacity: 1;
}

.about-us-title {
    text-align: center;
    font-weight: 300;
    font-size: 1.2em;
}

.about-us-text {
    text-align: center;
    margin-bottom: 1rem;
    font-weight: 300 !important;
    margin-top: 1rem;
    font-size: 1.1em;
    line-height: 1.6;
}

.parallax3 {
    /* Set a specific height */

    background-image: url('../img/headernrg2.jpeg');
    height: 24rem;
    padding-top: 4.2rem;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.imageBottomIndex {
    padding: 2.5rem;
    color: #ffffff;
    width: 18rem;
    opacity: 0.6;
    background-color: #12223b;
    margin: auto;
    font-weight: 300;
}

#modal-project-regional_points {
    padding: 40px 0;
}

.modal-line-separator {
    padding: 2px;
}

.regional-point-div {
    padding: 5%;
    margin: 0;
}

.regional-point-image {
    max-width: 100%;
    margin-bottom: 30px;
}

.regional-point-distance {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 10px;
}

.regional-point-title {
    font-size: 1.7em;
    font-weight: bold;
    margin-bottom: 20px;
}

.regional-point-hr {

}

.regional-point-text {
    text-align: justify;
}

#div-search {
    display: none;
    padding: 20px;
    width: 90vw;
}


/* SITE - PROPERTIES */

#searchbar {
    background-color: var(--nrg-bg-light);
    padding: 20px;
}

.advanced-search-header {
    background-color: var(--nrg-dark-blue);
    color: var(--bs-white);
}

.advanced-search-header-btn-close {
    background-color: var(--bs-white) !important;
}

#advanced-search-btn {
    color: var(--nrg-dark-blue);
    background-color: var(--bs-white);
    border-radius: 2px;
    border: 1px solid var(--nrg-dark-blue);
}

.advanced-search-options-btn {
    color: var(--bs-white);
    background-color: var(--nrg-dark-blue);
    padding: 5px 20px;
    margin-top: 10px;
    border: 0;
    border-radius: 2px;
}

.advanced-search-options-btn:hover {
    opacity: 0.8;
}

#advanced-search-btn:hover {
    background-color: var(--nrg-dark-blue);
    color: var(--bs-white);
    opacity: 0.8;
}

.search-btn {
    color: var(--bs-white);
    background-color: var(--nrg-dark-blue);
    border-radius: 2px;
}

.search-btn:hover {
    background-color: var(--nrg-dark-blue);
    color: var(--bs-white);
    opacity: 0.8;
}

.search-input {
    border-radius: 2px;
    border: 1px solid var(--nrg-dark-blue);
}

#form-search-icon {
    border-radius: 2px;
    border: 1px solid var(--nrg-dark-blue);
}

#advanced-search-box {
    width: 80vw;
}

.col-search-box {
    border-left: 2px solid var(--nrg-gray);
    margin-right: 30px;
}

.col-left-search-box {

}

.col-right-search-box {

}


/* PROPERTIS CARD LIST */
.properties-box {
    background-color: var(--nrg-light-gray);
    min-height: 400px;
    padding: 2% 2% 5% 2%;
    margin-top: 0px;
    min-width: 90vw;
}

.properties-box-top-message {
    margin-top: 1%;
    margin-bottom: 3%;
}

.properties-box-top-message>h2 {
    font-size: 2em;
    text-align: center;
    color: var(--nrg-gray);
}

.properties-box-top-message>h3 {
    font-size: 1.5em;
    text-align: center;
    color: var(--nrg-gray);
}


.properties-box-card-list {

}

.properties-box-card {
    border: 0;
    border-radius: 0;
    padding: 6px;
    margin-bottom: 10px;
    min-width: 300px;
    max-width: 300px;
    height: 420px;
    margin-left: 5px;
    margin-right: 5px;
}

.properties-box-card>img {
    border-radius: 0;
}

.properties-box-bottom {
    margin: 0;
    padding: 95px 25vw 220px 25vw;
    min-width: 100vw;
    background-image: url('../img/IMAGEM-BAIXO.jpg');
    background-repeat: no-repeat;
    background-size: cover;
}

.properties-box-bottom-message {
    background-color: rgba(10, 34, 61, 0.5);
    color: white;
    font-weight: 100;
    font-size: 1.2em;
    text-align: center;
    padding:  35px 80px 20px 80px;
}

.properties-box-bottom-card-list {
    position: relative;
    top: -130px;
}

.properties-card-body {
    padding: 5px;
}

.properties-card-title {
    font-size: 1em;
}

.card-img-top {
    width: 100%;
    height: 40%;
    object-fit: cover;
}

.properties-card-text {
    font-size: 0.8em;
    color: var(--nrg-gray);
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
}

.properties-card-data {
    font-size: 0.8em;
    margin-top: 10px;
}

.properties-card-data>ul>li {
    font-size: 0.8em;
}

.properties-card-btn-rent {
    border: 0;
    border-radius: 0;
    color: var(--bs-white);
    padding-top: 3px;
    padding-bottom: 3px;
    font-size: 0.95em;
    background-color: var(--nrg-green);
}

.properties-card-btn-buy {
    border: 0;
    border-radius: 0;
    color: var(--bs-white);
    padding-top: 3px;
    padding-bottom: 3px;
    font-size: 0.95em;
    background-color: var(--nrg-light-blue);
}

.properties-card-btn-rent:hover {
    opacity: 0.8;
    color: var(--bs-white);
    background-color: var(--nrg-green);
}

.properties-card-btn-buy:hover {
    opacity: 0.8;
    color: var(--bs-white);
    background-color: var(--nrg-light-blue);
}

.properties-card-price {
    font-size: 1.4em;
}

.properties-card-link {
    color: var(--nrg-gray);
    font-weight: 900;
    margin-left: 10px;
}

.properties-card-icons {
    font-weight: 900;
}

.sold-card-flag {
    position: absolute;
    top: 12px;
    left: 0px;
    margin: 0;
    padding: 2px 30px;
}

.property-image {
    max-width: 200px;
}

.text-buy {
    color: var(--nrg-light-blue);
}

.text-rent {
    color: var(--nrg-green);
}

.bg-buy {
    background-color: var(--nrg-light-blue);
}

.bg-rent {
    background-color: var(--nrg-green);
}

.bg-featured {
    background-color: var(--nrg-bg-orange);
}

.sold-card-flag {
    position: absolute;
    top: 12px;
    left: 0px;
    margin: 0;
    padding: 2px 30px;
}




/* PROPERTY DETAILS */

.property-details {
    margin: 30px auto;
    padding: 0 12px;
}

.property-details-messages-title {
    font-size: 1.3em;
    font-weight: bold;
    margin-bottom: 0px;
}

.property-details-messages-location {
    font-size: 1.2em;
    font-weight: 500;
    color: var(--nrg-gray);
    margin-bottom: 6px;
}

.property-details-content {
    padding: 0;
    margin-bottom: 100px;
}

#propertyDescription {
    margin-left: 20px;
    margin-right: 20px;
}

.propertyDetailsTitle {
    background-color: var(--nrg-light-blue);
    color: var(--bs-white);
    font-size: 0.9em;
    font-weight: 500;
    padding: 7px 30px;
}

.property-details-icons {
    width: 25px;
    height: 25px;
    margin-right: 15px;
    background-color: var(--nrg-gray);
}

.property-details-sidebar {
    padding: 0;
    margin-left: 10px;
}

#form-contact {
    background-color: var(--nrg-medium-gray);
    padding: 20px 20px 30px 20px;
}

#form-newsletter {
    background-color: var(--nrg-light-blue);
    padding: 20px 20px 30px 20px;
    margin-top: 20px;
}

#send-message-btn {
    background-color: var(--nrg-light-blue);
    color: var(--bs-white);
    width: 100%;
    border-radius: 2px;
}

#send-message-btn:hover {
    opacity: .7;
}

.newsletter-title {
    color: var(--bs-white);
    font-weight: bold;
    margin-bottom: 20px;
}

.form-message-inputs {
    border: 0px;
    border-radius: 2px;
}

.form-newsletter-inputs {
    border: 0px;
    border-radius: 2px;
}

#subscribe-newsletter-btn {
    background-color: var(--bs-white);
    color: var(--nrg-light-blue);
    font-weight: 600;
    width: 100%;
    border-radius: 2px;
}

#subscribe-newsletter-btn:hover {
    opacity: .7;
}

.link-accept-terms {
    color: inherit;
    cursor: pointer;
}

.input-border-warning {
    border: 2px solid var(--bs-warning);
}

#propertyMap {
    margin-top: 8vh;
}

#details_map {
    width: 100%;
    height: 500px;
    border: 2px solid var(--nrg-light-blue);
}


/* CAROUSEL PROPERTY DETAILS */

/* #carouselIndicators { */
.custom-carousel {
    height: 60vh;
    max-height: 470px;
    min-height: 350px;
    background-color: var(--bs-gray-200);
}

/* #carouselIndicators>.carousel-inner { */
.custom-carousel>.carousel-inner {
    height: 100%;
}

/* #carouselIndicators>.carousel-inner>.carousel-item { */
.custom-carousel>.carousel-inner>.carousel-item {
    height: 100%;
}

.carousel-main-img {
    height: 100%;
    max-width: 100%;
    overflow: hidden;
    margin: 0 auto;
}

.carousel-miniatures {
    width: 100%;
    height: 20vh;
    max-height: 160px;
    min-height: 130px;
    margin: 0;
    margin-top: 10px;
    padding: 60px 0;
}

.carousel-miniatures-item {
    height: 100% !important;
}

.carousel-miniatures-item>.row {
    height: 100% !important;
}

.carousel-miniatures-item>.row>div {
    height: 100% !important;
}

/* #carouselIndicators-miniatures { */
.custom-carousel-miniatures {
    height: 100% !important;
    padding: 4px 0px;
    background-color: var(--bs-gray-200);
}

.carousel-miniatures-img {
    width: 100% !important;
    height: 100% !important;
    cursor: pointer;
}

.carousel-miniatures-btn {
    margin: 0 3px;
    padding: 0;
    border: 0;
    border-radius: 0;
}

.carousel-miniatures-btn:focus {
    box-shadow: none !important;
}

.carousel-miniatures-btn:hover {
    background-color: var(--bs-gray-300);
}



.carousel-miniatures-icon {
    height: 3vw;
    width: 3vw;
    filter: invert(100%);
    opacity: .6;
}



/* SEND MESSAGE */

#div-alert-contact {
    display: none;
}
